org.apache.fop.layoutmgr

## Class SpaceResolver.SpaceHandlingPosition

- java.lang.Object
- - org.apache.fop.layoutmgr.Position
  - - org.apache.fop.layoutmgr.SpaceResolver.SpaceHandlingPosition

Enclosing class:
  SpaceResolver

    public static class SpaceResolver.SpaceHandlingPosition
    extends Position

Position class for no-break situations. It is used to notify layout manager about the effective spaces and conditional lengths.

### Constructor Summary

Constructors
Constructor and Description
`SpaceHandlingPosition(SpaceResolver resolver)` Main constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`SpaceResolver` `getSpaceResolver()`
`void` `notifySpaceSituation()` Notifies all affected layout managers about the current situation in the part to be handled for area generation.
`String` `toString()`

### Methods inherited from class org.apache.fop.layoutmgr.Position

`generatesAreas, getIndex, getLM, getLM, getPosition, getPosition, getShortLMName, setIndex`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### SpaceHandlingPosition

    public SpaceHandlingPosition(SpaceResolver resolver)

Main constructor.

Parameters:
  `resolver` - the space resolver that provides the info about the actual situation

### Method Detail

#### getSpaceResolver

    public SpaceResolver getSpaceResolver()

Returns:
  the space resolver

#### notifySpaceSituation

    public void notifySpaceSituation()

Notifies all affected layout managers about the current situation in the part to be handled for area generation.

#### toString

    public String toString()

Overrides:
  `toString` in class `Position`